SOLIDWORKS PDM Professional API Help | Send Feedback
ShowDlg Method (IEdmBatchGet)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchGet Interface : ShowDlg Method (IEdmBatchGet)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle

Displays a dialog in which are listed the files to get or check out.

# Syntax

Visual Basic |
--- | ---
    Function ShowDlg( _
       ByVal lParentWnd As System.Integer _
    ) As System.Boolean

C# |
--- | ---
    System.bool ShowDlg(
       System.int lParentWnd
    )

C++/CLI |
--- | ---
    System.bool ShowDlg(
    &   System.int lParentWnd
    )

#### Parameters

lParentWnd
  Parent window handle

#### Return Value

True if the user clicked Get or Check Out, false if the user clicked Cancel

# Example

See the IEdmBatchGet examples.

# Remarks

Call this method after calling IEdmBatchGet::CreateTree and before calling IEdmBatchGet::GetFiles.

Return code:

- S_OK: The method successfully executed.

# See Also

####

IEdmBatchGet Interface
IEdmBatchGet Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional